%define anolis_release 2
%global module_name pycodestyle

Name:           python-%{module_name}
# WARNING: When updating pycodestyle, check not to break flake8!
Version:        2.9.1
Release:        %{anolis_release}%{?dist}
Summary:        Python style guide checker
License:        MIT
URL:            https://pypi.python.org/pypi/%{module_name}
Source0:        %{pypi_source %{module_name}}

BuildArch:      noarch

%description
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8. It has a plugin architecture, making new checks easy, and
its output is parseable, making it easy to jump to an error location in your
editor.

%package -n python3-pycodestyle
Summary:    Python style guide checker
%{?python_provide:%python_provide python3-%{module_name}}
Conflicts:      python-pycodestyle < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  make

%description -n python3-pycodestyle
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8. It has a plugin architecture, making new checks easy, and
its output is parseable, making it easy to jump to an error location in your
editor.

This is a version for Python 3.


%prep
%autosetup -n %{module_name}-%{version}

# Remove #! from pycodestyle.py
sed --in-place "s:#!\s*/usr.*::" pycodestyle.py


%build
%py3_build

make -C docs man SPHINXBUILD=sphinx-build-%{python3_version}


%install

%py3_install
mv %{buildroot}%{_bindir}/pycodestyle %{buildroot}%{_bindir}/pycodestyle-%{python3_version}
ln -s ./pycodestyle-%{python3_version} %{buildroot}%{_bindir}/pycodestyle-3
ln -s ./pycodestyle-3 %{buildroot}%{_bindir}/pycodestyle


install -D docs/_build/man/%{module_name}.1 %{buildroot}%{_mandir}/man1/%{module_name}.1

%check
%{__python3} pycodestyle.py --max-doc-length=72 --testsuite testsuite
%{__python3} pycodestyle.py --max-doc-length=72 --doctest

%files -n python3-pycodestyle
%license LICENSE
%{_mandir}/man1/%{module_name}.1*
%{_bindir}/pycodestyle
%{_bindir}/pycodestyle-3
%{_bindir}/pycodestyle-%{python3_version}
%pycached %{python3_sitelib}/%{module_name}.py
%{python3_sitelib}/%{module_name}-%{version}-*.egg-info/

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.9.1-2
- Rebuild with python3.11

* Mon Apr 24 2023 Funda Wang <fundawang@yeah.net> - 2.9.1-1
- Import package for anolis 23
